clc
%% Tell you which OE version is active %%

DESIRED_VERSION = '3_0_0_FS_r2019-1';
MODEL_NAME = bdroot;

currentpath = '(not found)'; % Default
w = which('openecu.tlc', '-all');

if length(w)~=0
    idx = strfind(w,'platform\');
    if not(isempty(idx{1}))
        currentpath=w{1,1}((idx{1,1}(1)+9):(idx{1,1}(1)+8+length(DESIRED_VERSION))); % install dir name should appear just before the 2nd 'openecu' in the name
    end
end

fprintf('Current OpenECU path is : %s\n%s uses   : %s',currentpath,MODEL_NAME,DESIRED_VERSION)
if strcmp(currentpath,DESIRED_VERSION);
    fprintf('\nNo change to the path is required\n')
else
    fprintf('\nATTENTION: Change the Matlab path to point to the correct version of OpenECU\n')
	%%cd C:\openecu\platform\3_0_0_FS_r2019-1\openecu
	%%oe_switch_version(oe_path_install)
	%% Note that it would be better to be able to determine if the following command is successful and stop if it is not.

end

%%cd C:\SVN_working\InternalSmallProjects\ExampleModels\Wake_M5xx_Sleep
fprintf('Loaded oe version')
openecu_make_rtw_hook('model_load', MODEL_NAME);
% EOF
